import {defineStore} from 'pinia'

export const useUserStore = defineStore('user', {
  persist: true,
  state: () => ({
    refresh_token: null as null | string,
    access_token: null as null | string,
    id_token: null as null | string,
    expired_at: null as null | Date,
    user: null as null | any,
  }),
  actions: {
    setRefreshToken(refresh_token: string) {
      this.refresh_token = refresh_token
    },
    setAccessToken(access_token: string) {
      this.access_token = access_token
    },
    setIdToken(id_token: string) {
      this.id_token = id_token
    },
    setProfile(user: any) {
      this.user = user
    },
    logout() {
      this.user = null;
      this.expired_at = null;
      this.id_token = null;
      this.access_token = null;
      this.refresh_token = null
    }
  }
})
